# Uses of Interface
org.codehaus.commons.compiler.AbstractJavaSourceClassLoader.ProtectionDomainFactory

Packages that use AbstractJavaSourceClassLoader.ProtectionDomainFactory
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.

## Uses of AbstractJavaSourceClassLoader.ProtectionDomainFactory in org.codehaus.commons.compiler

Fields in org.codehaus.commons.compiler declared as AbstractJavaSourceClassLoader.ProtectionDomainFactory
Modifier and Type
Field
Description
`protected AbstractJavaSourceClassLoader.ProtectionDomainFactory`
AbstractJavaSourceClassLoader.`protectionDomainFactory`
Methods in org.codehaus.commons.compiler with parameters of type AbstractJavaSourceClassLoader.ProtectionDomainFactory
Modifier and Type
Method
Description
`final void`
AbstractJavaSourceClassLoader.`setProtectionDomainFactory(AbstractJavaSourceClassLoader.ProtectionDomainFactory protectionDomainFactory)`